Bug 114082 - Cannot set udma5 for my disk with hdparm
Summary: Cannot set udma5 for my disk with hdparm
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-22 14:13 UTC by bednar
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 19:59:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bednar 2004-01-22 14:13:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031202

Description of problem:
I have Asus P4P800 motherboard with Intel 82801EB Ultra ATA Storage
Controller and it works in udma5 (ultra ATA 100) mode, but hdparm -i
/dev/hda shows that disk (Maxtor 80GB ultra ATA 133) works in udma2
mode. I tried to set hdparm -d 1 -X 69 /dev/hda (and also X69 and X67)
and none of this works. hdparm -t /dev/hda gives read speed about 30
MB/sek. Does this kernel support Intel 82801EB?

Version-Release number of selected component (if applicable):
kernel 2.4.22 2140 nptl smp

How reproducible:
Always

Steps to Reproduce:
1. login as root
2.  hdparm -d 1 -X 69 /dev/hda
3. hdparm -i /dev/hda
    

Actual Results:  /dev/hda:
 setting using_dma to 1 (on)
 setting xfermode to 69 (UltraDMA mode5)
 HDIO_DRIVE_CMD(setxfermode) failed: Input/output error
 using_dma    =  1 (on)


/dev/hda:
 
 Model=Maxtor 6Y080P0, FwRev=YAR41BW0, SerialNo=Y329EXBE
 Config={ Fixed }
 RawCHS=16383/16/63, TrkSize=0, SectSize=0, ECCbytes=57
 BuffType=DualPortCache, BuffSize=7936kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=160086528
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4
 DMA modes:  mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2 udma3 udma4 udma5 udma6
 AdvancedPM=yes: disabled (255) WriteCache=enabled
 Drive conforms to: (null):
 
 * signifies the current active mode


Expected Results:  UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5 udma6

Additional info:

Intel 82801EB Ultra ATA Storage Controller and 2.4.22 2140 smp kernel

Comment 1 Need Real Name 2004-04-04 06:06:43 UTC
you need a udma IDE cable to do it (80 pin)

Comment 2 David Lawrence 2004-09-29 19:59:31 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.